The BOOST_PP_LIST_APPEND macro appends two lists.

#### Usage

BOOST_PP_LIST_APPEND(a, b)

#### Arguments

a
  The first list.
b
  The second list.

#### Remarks

This macro appends two lists. For example, if a is (1, (2, (3, BOOST_PP_NIL))) and b is (4, (5, BOOST_PP_NIL)), this macro will expand to:
(1, (2, (3, (4, (5, BOOST_PP_NIL)))))
Previously, this macro could not be used inside BOOST_PP_WHILE. There is no longer any such restriction. It is more efficient, however, to use BOOST_PP_LIST_APPEND_D in such a situation.

#### See Also

- BOOST_PP_LIST_APPEND_D

#### Requirements

Header: <boost/preprocessor/list/append.hpp>

#### Sample Code

    #include <boost/preprocessor/list/append.hpp>

    #define L1 (a, (b, (c, BOOST_PP_NIL)))
    #define L2 (x, (y, (z, BOOST_PP_NIL)))

    BOOST_PP_LIST_APPEND(L1, L2)
       // expands to (a, (b, (c, (x, (y, (z, BOOST_PP_NIL))))))